Bug 1260262 - Parole can't reproduce audio files
Summary: Parole can't reproduce audio files
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: parole
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-05 10:00 UTC by Giulio 'juliuxpigface'
Modified: 2016-12-20 14:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 14:35:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Giulio 'juliuxpigface' 2015-09-05 10:00:54 UTC
Description of problem:
Parole doesn't reproduce an audio file ('.ogg' or '.wav'). Instead, a window describing briefly the issue is shown. Its text is:

"Errore del backend di GStreamer"(*)
'Could not initialise Xv output'

(*) this can be translated as 'GStreamer backend error'

Version-Release number of selected component (if applicable):
parole-0.8.0-3.fc23.x86_64
gstreamer-plugins-base-0.10.36-13.fc23.x86_64
gstreamer-0.10.36-13.fc23.x86_64
libnice-gstreamer1-0.1.13-2.fc23.x86_64
gstreamer1-plugins-good-1.5.2-2.fc23.x86_64
gstreamer-plugins-good-0.10.31-15.fc23.x86_64
gstreamer1-1.5.2-1.fc23.x86_64
gstreamer1-plugins-bad-free-1.5.2-1.fc23.x86_64
gstreamer-plugins-espeak-0.4.0-7.fc23.x86_64
gstreamer-tools-0.10.36-13.fc23.x86_64
gstreamer-plugins-bad-free-0.10.23-28.fc23.x86_64
gstreamer1-plugins-base-1.5.2-1.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Open parole
2. Try to reproduce, for example, '/usr/share/orage/sounds/Boiling.wav'

Actual results:
1. parole doesn't reproduce the media and shows the window described above.

Expected results:
1. parole should reproduce 'ogg' and 'wav' files.

Additional info:
As usually, I'm testing with qemu-kvm.

Comment 1 Kevin Fenzi 2015-09-05 16:40:51 UTC
If you start parole and go to:

tools -> preferences -> display -> video output

and change that to "X window system (no xv)" does it work?

Comment 2 Giulio 'juliuxpigface' 2015-09-05 18:25:31 UTC
(In reply to Kevin Fenzi from comment #1)
> If you start parole and go to:
> 
> tools -> preferences -> display -> video output
> 
> and change that to "X window system (no xv)" does it work?

I can confirm that it works flawlessly with this setting.

I tested it even with a full-length song (from a remote server) and found no issues during the execution.

Comment 3 Fedora End Of Life 2016-11-24 12:27:50 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2016-12-20 14:35:01 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.